package com.rms.tfc.util;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class DateUtil {

	private static final String className = "com.rms.tfc.util.DateUtil";
	
	/**
	 * Devuelve un objeto Date con la fecha actual 
	 */
	public static Date getNow(){
		return new Date(System.currentTimeMillis());
	}
	
	/**
	 * Devuelve una fecha formateada con el formato dado
	 */
	public static String getStringFromDate(Date date, String formato){
		if (date == null){
			return "";
		}
		SimpleDateFormat sdf = new SimpleDateFormat(formato);
		String fecha = sdf.format(date);
		return fecha;
	}
	
	public static String getStringFromDate(Date date, String formato, Locale locale){
		if (date == null){
			return "";
		}
		SimpleDateFormat sdf = new SimpleDateFormat(formato, locale);
		String fecha = sdf.format(date);
		return fecha;
	}
	
	/**
	 * Devuelve una fecha con el String introducido
	 */
	public static Date getDateFromString(String date, String formato){
		Date fecha = null;
		SimpleDateFormat sdf = new SimpleDateFormat(formato);
		sdf.setLenient(false);
		try {
			fecha = sdf.parse(date);
		} catch(Exception e){
			LogUtil.printLog(className, "[ERROR] >>> La fecha introducida no es valida: " + date);
		}
		return fecha;
	}
}